# $Revision: 1.8 $, $Date: 2005/12/22 12:12:04 $
%define		_modname	runkit
%define		_status		beta
%define		_sysconfdir	/etc/php
%define		extensionsdir	%(php-config --extension-dir 2>/dev/null)
Summary:	%{_modname} - mangle with user defined functions and classes
Summary(pl):	%{_modname} - obrbka zdefiniowanych przez uytkownika funkcji i klas
Name:		php-pecl-%{_modname}
Version:	0.4
Release:	5
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	05a690f04b7d2c42193f3e0c1bb99a19
URL:		http://pecl.php.net/package/runkit/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.254
%{?requires_php_extension}
Requires:	%{_sysconfdir}/conf.d
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Replace, rename, and remove user defined functions and classes. Define
customized superglobal variables for general purpose use. Execute code
in restricted environment (sandboxing).

In PECL status of this extension is: %{_status}.

%description -l pl
Zastpowanie, zmiana nazwy lub usuwanie zdefiniowanych przez
uytkownika funkcji i klas. Definiowanie zmiennych superglobalnych do
oglnego uytku. Wykonywanie danego kodu w ograniczonym rodowisku
(sandbox).

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/conf.d,%{extensionsdir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{extensionsdir}
cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart

%postun
if [ "$1" = 0 ]; then
	[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
	[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/README
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{extensionsdir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-runkit.spec,v $
Revision 1.8  2005/12/22 12:12:04  glen
- rel 5 (rebuild with new php)

Revision 1.7  2005/10/30 13:29:27  glen
- rel 4

Revision 1.6  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.5  2005/09/14 22:33:47  glen
- rel 2

Revision 1.4  2005/09/14 13:37:00  glen
- conf.d and php api macros

Revision 1.3  2005/09/13 21:16:43  glen
- superfluous BR libtool removed

Revision 1.2  2005/07/27 22:08:17  qboosh
- more standard pl desc

Revision 1.1  2005/07/26 20:23:48  adamg
- new
